From 92203ab1f2d46eb590325071c9bc21e356ed679b Mon Sep 17 00:00:00 2001
From: Ilya Shpigor <shpigor@etersoft.ru>
Date: Wed, 25 Mar 2009 11:40:59 +0300
Subject: [PATCH] gdi32: Add checking DIBSECTION to NULL in BITBLT_ConvertDIBtoDDB (eterbug #3687)

---
 dlls/gdi32/bitblt.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/dlls/gdi32/bitblt.c b/dlls/gdi32/bitblt.c
index a197213..a0b67f6 100644
--- a/dlls/gdi32/bitblt.c
+++ b/dlls/gdi32/bitblt.c
@@ -51,7 +51,7 @@ HBITMAP BITBLT_ConvertDIBtoDDB( HDC hdc, HBITMAP srcBmp )
 
     bmi = HeapAlloc( GetProcessHeap(), 0, sizeof(BITMAPINFOHEADER)+
                      sizeof(RGBQUAD)*srcBmpObj->nb_colors );
-    if (!bmi)
+    if (!bmi || !srcBmpObj->dib)
         goto error;
     memcpy( &bmi->bmiHeader, &srcBmpObj->dib->dsBmih, sizeof(BITMAPINFOHEADER) );
 
-- 
1.6.1.3.GIT

